//---------------------------------------------------------------------------

#ifndef SignalCfgH
#define SignalCfgH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Grids.hpp>
#include <ValEdit.hpp>
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TfrmSignalConfig : public TForm
{
__published:	// IDE-managed Components
	TListView *lvWaves;
	TPanel *pnlBottom;
	TPanel *pnlDetailView;
	TLabel *lblWaveType;
	TLabel *lblAmplitude;
	TLabel *lblFrequency;
	TLabel *lblPhase;
	TComboBox *cbWaveType;
	TEdit *edAmplitude;
	TEdit *edFrequency;
	TEdit *edPhase;
	TButton *btnApply;
	void __fastcall FormShow(TObject *Sender);
	void __fastcall lvWavesData(TObject *Sender, TListItem *Item);
	void __fastcall lvWavesSelectItem(TObject *Sender, TListItem *Item,
          bool Selected);
	void __fastcall btnApplyClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
	__fastcall TfrmSignalConfig(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TfrmSignalConfig *frmSignalConfig;
//---------------------------------------------------------------------------
#endif
